- Main Page
- Classes
- Files
- Related Pages

- Class List
- Class Hierarchy
- Class Members

# sc::OverlapOrthog Class Reference

This class computes the orthogonalizing transform for a basis set. More...

`#include <orthog.h>`

Inheritance diagram for sc::OverlapOrthog:

List of all members.

## Public Types
enum | OrthogMethod { Symmetric = 1, Canonical = 2, GramSchmidt = 3 }
| An enum for the types of orthogonalization.
## Public Member Functions
| OverlapOrthog (OrthogMethod method, const RefSymmSCMatrix &overlap, const Ref< SCMatrixKit > &result_kit, double lindep_tolerance, int debug=0)
| OverlapOrthog (StateIn &)
void | save_data_state (StateOut &)
| Save the base classes (with save_data_state) and the members in the same order that the StateIn CTOR initializes them.
void | reinit (OrthogMethod method, const RefSymmSCMatrix &overlap, const Ref< SCMatrixKit > &result_kit, double lindep_tolerance, int debug=0)
double | min_orthog_res () const
double | max_orthog_res () const
Ref< OverlapOrthog > | copy () const
OrthogMethod | orthog_method () const
| Returns the orthogonalization method.
double | lindep_tol () const
| Returns the tolerance for linear dependencies.
RefSCMatrix | basis_to_orthog_basis ()
| Returns a matrix which does the requested transform from a basis to an orthogonal basis.
RefSCMatrix | basis_to_orthog_basis_inverse ()
| Returns the inverse of the transformation returned by basis_to_orthog_basis.
RefSCDimension | dim ()
RefSCDimension | orthog_dim ()
int | nlindep ()
| Returns the number of linearly dependent functions eliminated from the orthogonal basis.

## Detailed Description

This class computes the orthogonalizing transform for a basis set.

## Member Function Documentation

void sc::OverlapOrthog::save_data_state | ( | StateOut & |  | ) | `[virtual]`

Save the base classes (with save_data_state) and the members in the same order that the StateIn CTOR initializes them.

This must be implemented by the derived class if the class has data.

Reimplemented from sc::SavableState.

RefSCMatrix sc::OverlapOrthog::basis_to_orthog_basis | ( |  | ) |

Returns a matrix which does the requested transform from a basis to an orthogonal basis.

This could be either the symmetric or canonical orthogonalization matrix. The row dimension is the basis dimension and the column dimension is orthogonal basis dimension. An operator in the orthogonal basis is given by where is the return value of this function.

The documentation for this class was generated from the following file:

- orthog.h